require "rails/generators/rails/app/app_generator"

# The application builder allows you to override elements of the application
# generator without being forced to reverse the operations of the default
# generator.
#
# This allows you to override entire operations, like the creation of the
# Gemfile, README, or JavaScript files, without needing to know exactly
# what those operations do so you can create another template action.
#
# For Rails 6.1, you can check out https://github.com/rails/rails/blob/6-1-stable/railties/lib/rails/generators/rails/app/app_generator.rb#L44
class Rsg::Generators::App::AppBuilder < ::Rails::AppBuilder
  ###########################################################################
  # Simple template overwrites
  ###########################################################################

  def readme
    template "README.md.erb", "README.md"
  end

  ###########################################################################
  # Things to skip since we don't care about them
  ###########################################################################

  def ruby_version
    # NOOP since we have the ruby version in Gemfile and want it to be the
    # single source of truth
  end
end
