require "pathname"
require "rails/generators"
require "rails/generators/app_name"

module Rsg
  module Generators
    class Base < Rails::Generators::Base
      include Actions
      include Options
      include Rails::Generators::AppName

      def self.inherited(base)
        super

        parts = base.namespace.split(":")
        return unless parts[0] == "rsg"

        parts = parts[1..-2] + ["templates"]
        templates_path = Pathname.new(__FILE__).dirname.join(*parts).expand_path

        base.source_paths << templates_path if templates_path.exist?
      end

      def self.exit_on_failure?
        true
      end
    end
  end
end
