class Rsg::Generators::Dotenv::InstallGenerator < Rsg::Generators::Base
  def banner
    say "Configuring dotenv-rails in development and test environments"
  end

  def add_dotenv
    append_gem "dotenv-rails",
      version: "< 3",
      after: "rails",
      group: [:development, :test],
      require: "dotenv/rails-now"
  end

  def configure_dotenv
    copy_file "env.development", ".env.development"
    copy_file "env.test", ".env.test"
  end
end
