class Rsg::Generators::Logging::LogrageGenerator < Rsg::Generators::Base
  def banner
    say "Configuring lograge with JSON logging"
  end

  def add_lograge
    append_gem "lograge", install: false
    append_gem "logstash-event", after: "lograge"
  end

  def initializer
    copy_file "initializer_lograge.rb", "config/initializers/logging.rb"
  end

  def json_logs_env_var
    inject_into_file "config/application.rb", <<-CODE, before: /^  end$/
\n    # Enable JSON logs with lograge
    config.x.json_logs = Rails.env.production? || %w[1 true yes].include?(ENV.fetch('JSON_LOGS', '0'))
    CODE
  end
end
