class Rsg::Generators::Webpacker::InstallGenerator < Rsg::Generators::Base
  def sanity_check
    raise "Can't configure webpacker on API apps" if api_mode?
  end

  def banner
    say("Configuring webpacker")
  end

  def add_webpacker
    append_gem("webpacker", version: "~> 5.0")
  end

  def install_webpacker
    rake("webpacker:install")
  end

  def configure_js
    copy_file "application.js", "app/javascript/packs/application.js", force: true

    inject_into_file "app/views/layouts/application.html.erb",
      "  <%= javascript_pack_tag 'application' %>\n  ",
      before: /<\/body>/
  end

  def configure_sass
    copy_file "application.sass", "app/javascript/stylesheets/application.sass"
    gsub_file "app/views/layouts/application.html.erb",
      "stylesheet_link_tag",
      "stylesheet_pack_tag"
  end

  def configure_landing
    template "landing_controller.rb.erb", "app/controllers/landing_controller.rb"
    copy_file "landing_show.html.erb", "app/views/landing/show.html.erb"
    inject_into_file "config/routes.rb", <<-CODE, before: "end"

 root 'landing#show'
    CODE
  end
end
