# Default RSG template, the one that gets executed when none is specified

run "bundle check || bundle install"
git_add_commit "Rails app generated with rsg v#{Rsg::VERSION}, api_mode=#{options["api"]}"

say("Adding rsg gem to application")
rsg_install

rsg_generate "rsg:misc:misc"
rsg_generate "rsg:logging:common"
rsg_generate "rsg:dotenv:install"

rsg_skip_or_confirm(:active_record, "Do you want to configure active_record?") do
  rsg_generate "rsg:orm:active_record", rsg_options[:active_record]
end

if !options[:api]
  rsg_skip_or_confirm(:webpacker, "Do you want to configure webpacker?") do
    rsg_generate "rsg:webpacker:install"
  end
end

rsg_generate "rsg:logging:lograge"
rsg_generate "rsg:testing:rspec"
